# Interface ICefMediaAccessCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefMediaAccessCallback = interface(ICefBaseRefCounted)`

## Description

Callback interface used for asynchronous continuation of media access permission requests.

UNKNOWN

This record is declared twice with almost identical parameters. "allowed_permissions" is defined as int and uint32.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_access_handler_capi.h">CEF source file: /include/capi/cef_media_access_handler_capi.h (cef_media_access_callback_t))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_permission_handler_capi.h">CEF source file: /include/capi/cef_permission_handler_capi.h (cef_media_access_callback_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefMediaAccessCallback

## Overview

### Methods

| `procedure cont(allowed_permissions: TCefMediaAccessPermissionTypes);`
| `procedure cancel;`

## Description

### Methods

| `procedure cont(allowed_permissions: TCefMediaAccessPermissionTypes);`
Call to allow or deny media access. If this callback was initiated in response to a getUserMedia (indicated by CEF_MEDIA_PERMISSION_DEVICE_AUDIO_CAPTURE and/or CEF_MEDIA_PERMISSION_DEVICE_VIDEO_CAPTURE being set) then |allowed_permissions| must match |required_permissions| passed to OnRequestMediaAccessPermission. ###### Attributes GUID['{66F6F5F4-8489-408B-B9ED-6B705C2E2010}']

| `procedure cancel;`
Cancel the media access request.

Generated by PasDoc 0.16.0-snapshot.